Subject: Re: [PATCH] powerpc: add Book E support to 64-bit hibernation

From: Scott Wood <[email-masked]>
Date: Mon, 18 Mar 2013 17:12:37 -0500

On 03/15/2013 10:22:06 AM, Johannes Berg wrote:
> On Thu, 2013-03-14 at 11:52 -0500, Scott Wood wrote:
> > > > +#ifdef CONFIG_PPC_BOOK3S_64
> > > >  	/* can't use RESTORE_SPECIAL(MSR) */
> > > >  	ld	r0, SL_MSR(r11)
> > > >  	mtmsrd	r0, 0
> > >
> > > Unfortunately, I forgot the reason for this comment, and didn't =20
> put a
> > > better one (almost 6 years ago!!)
>=20
> > If it's because book3s needs mtmsrd instead of mtmsr, that doesn't
> > apply to booke.
>=20
> Indeed, looking at the code again now that seems pretty obvious.
>=20
> Looking at the patch again, I'd be a little concerned about the lack =20
> of
> cache flushing, seems a bit odd but I'm sure you know what you're =20
> doing
> (and I don't know book3e at all, and hardly remember book3s -- or even
> that name...) :-)

Could you elaborate on why book3s flushes the way it does?  What's =20
special about the first 32 MiB?  If it's to cover kernel code, why =20
would that be changing from what's already there?

-Scott=